[Overview][Types][Procedures and functions][Index] | Reference for unit 'URIParser' (#fcl)

# ResolveRelativeURI

Return a relative link

## Declaration

Source position: line 0

`function ResolveRelativeURI(`
`const BaseUri: WideString;`
`const RelUri: WideString;`
`out ResultUri: WideString`
`):Boolean; overload; function ResolveRelativeURI(`
`const BaseUri: UTF8String;`
`const RelUri: UTF8String;`
`out ResultUri: UTF8String`
`):Boolean; overload;`

## Arguments

`BaseUri` |  | Base URI
`RelUri` |  | URI relative to BaseURI or absolute URI.
`ResultUri` |  | Resulting absolute URI

## Function result

True if the operation was succesful, False if not.

## Arguments

`BaseUri` |  | Base URI
`RelUri` |  | URI relative to BaseURI or absolute URI.
`ResultUri` |  | Resulting absolute URI

## Description

ResolveRelativeURI returns in ResultUri an absolute link constructed from a base URI BaseURI and a relative link RelURI. One of the two URI names must have a protocol specified. If the RelURI argument contains a protocol, it is considered a complete (absolute) URI and is returned as the result.

The function returns True if a link was succesfully returned.

## Errors

If no protocols are specified, the function returns False

Documentation generated on: Feb 26 2014